Bug 1192019 - (CVE-2021-32280) VUL-0: CVE-2021-32280: transfig: NULL pointer dereference in compute_closed_spline() in trans_spline.c
(CVE-2021-32280)
VUL-0: CVE-2021-32280: transfig: NULL pointer dereference in compute_closed_s...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/310545/
CVSSv3.1:SUSE:CVE-2021-32280:5.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-26 08:37 UTC by Gianluca Gabrielli
Modified: 2021-11-18 14:20 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gianluca Gabrielli 2021-10-26 08:37:16 UTC
An issue was discovered in fig2dev through 20200520. A NULL pointer dereference exists in the function compute_closed_spline() located in trans_spline.c. It allows an attacker to cause Denial of Service.

Reference:
https://sourceforge.net/p/mcj/tickets/107/

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2006516
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-32280
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-32280
https://sourceforge.net/p/mcj/tickets/107/
Comment 1 Gianluca Gabrielli 2021-10-26 08:38:27 UTC
Affected packages:
 - SUSE:SLE-11:Update/transfig             3.2.8a
 - SUSE:SLE-12:Update/transfig             3.2.8a
 - SUSE:SLE-15:Update/transfig             3.2.8a
 - openSUSE:Factory/transfig               3.2.8b
 - openSUSE:Backports:SLE-15-SP2/transfig  3.2.6a
 - openSUSE:Backports:SLE-15-SP3/transfig  3.2.6a

Upstream patch [0].

[0] https://sourceforge.net/p/mcj/fig2dev/ci/f17a3b8a7d54c1bc56ab92512531772a0b3ec991/
Comment 4 Gianluca Gabrielli 2021-10-26 09:36:04 UTC
Woops, you are right! The following packages are already patched.
 - SUSE:SLE-11:Update/transfig             3.2.8a
 - SUSE:SLE-12:Update/transfig             3.2.8a
 - SUSE:SLE-15:Update/transfig             3.2.8a
 - openSUSE:Factory/transfig               3.2.8b

@Marcus would be possible to update openSUSE:Backports:*/transfig from v.3.2.6a to v.3.2.8a?
Comment 5 Marcus Meissner 2021-10-26 11:30:35 UTC
backports:

You can and should do submissions for:

- openSUSE:Backports:SLE-15-SP3:Update/transfig
- openSUSE:Leap:15.2:Update/transfig

( openSUSE:Backports:SLE-15-SP2:Update submission is not needed, it will be auto imported from openSUSE:Leap:15.2:Update/transfig ) 

there is no issue with updating these to a newer version.
Comment 6 OBSbugzilla Bot 2021-10-26 14:40:42 UTC
This is an autogenerated message for OBS integration:
This bug (1192019) was mentioned in
https://build.opensuse.org/request/show/927524 Factory / transfig
Comment 9 Swamp Workflow Management 2021-10-29 19:23:40 UTC
SUSE-SU-2021:3584-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    transfig-3.2.8b-4.15.1
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    transfig-3.2.8b-4.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-10-29 19:25:53 UTC
openSUSE-SU-2021:3584-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    transfig-3.2.8b-4.15.1
Comment 11 Swamp Workflow Management 2021-10-29 19:32:49 UTC
SUSE-SU-2021:3585-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2021-32280
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    transfig-3.2.8b-2.20.1
SUSE OpenStack Cloud Crowbar 8 (src):    transfig-3.2.8b-2.20.1
SUSE OpenStack Cloud 9 (src):    transfig-3.2.8b-2.20.1
SUSE OpenStack Cloud 8 (src):    transfig-3.2.8b-2.20.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    transfig-3.2.8b-2.20.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    transfig-3.2.8b-2.20.1
SUSE Linux Enterprise Server 12-SP5 (src):    transfig-3.2.8b-2.20.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    transfig-3.2.8b-2.20.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    transfig-3.2.8b-2.20.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    transfig-3.2.8b-2.20.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    transfig-3.2.8b-2.20.1
HPE Helion Openstack 8 (src):    transfig-3.2.8b-2.20.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Dr. Werner Fink 2021-11-02 12:59:05 UTC
Is this one fixed know?
Comment 14 Marcus Meissner 2021-11-02 13:33:54 UTC
openSUSE:Maintenance:17135/transfig.openSUSE_Backports_SLE-15-SP2_Update
 is still in qa

i duplicated that also into an openSUSE_Backports_SLE-15-SP3_Update incident now.

no furtzher action needed
Comment 16 Swamp Workflow Management 2021-11-02 14:21:42 UTC
SUSE-SU-2021:14836-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2021-32280
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    transfig-3.2.8b-160.16.2
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    transfig-3.2.8b-160.16.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    transfig-3.2.8b-160.16.2
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    transfig-3.2.8b-160.16.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2021-11-02 17:22:50 UTC
openSUSE-SU-2021:1439-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    transfig-3.2.8b-lp152.6.9.1
Comment 18 Swamp Workflow Management 2021-11-07 23:17:28 UTC
openSUSE-SU-2021:1458-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    transfig-3.2.8b-bp152.3.6.2
Comment 19 Swamp Workflow Management 2021-11-18 14:20:57 UTC
openSUSE-SU-2021:1481-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    transfig-3.2.8b-bp153.3.6.3